- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ovirt_datacenter – Module to manage data centers in oVirt/RHV

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Module to manage data centers in oVirt/RHV

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7

- ovirt-engine-sdk-python >= 4.3.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
auth dictionary / required |  | Dictionary with values needed to create HTTP/HTTPS connection to oVirt:
| ca_file string |  | A PEM file containing the trusted CA certificates. The certificate presented by the server will be verified using these CA certificates. If `ca_file` parameter is not set, system wide CA certificate store is used. Default value is set by `OVIRT_CAFILE` environment variable.
| headers dictionary |  | Dictionary of HTTP headers to be added to each API call.
| hostname string |  | A string containing the hostname of the server, usually something like `server.example.com`. Default value is set by `OVIRT_HOSTNAME` environment variable. Either `url` or `hostname` is required.
| insecure boolean | Choices: no yes | A boolean flag that indicates if the server TLS certificate and host name should be checked.
| kerberos boolean | Choices: no yes | A boolean flag indicating if Kerberos authentication should be used instead of the default basic authentication.
| password string / required |  | The password of the user. Default value is set by `OVIRT_PASSWORD` environment variable.
| token string |  | Token to be used instead of login with username/password. Default value is set by `OVIRT_TOKEN` environment variable.
| url string |  | A string containing the API URL of the server, usually something like `https://server.example.com/ovirt-engine/api`. Default value is set by `OVIRT_URL` environment variable. Either `url` or `hostname` is required.
| username string / required |  | The name of the user, something like admin@internal. Default value is set by `OVIRT_USERNAME` environment variable.
comment - |  | Comment of the data center.
compatibility_version - |  | Compatibility version of the data center.
description - |  | Description of the data center.
fetch_nested boolean | Choices: no yes | If True the module will fetch additional data from the API. It will fetch IDs of the VMs disks, snapshots, etc. User can configure to fetch other attributes of the nested entities by specifying `nested_attributes`.
force boolean added in 2.5 | Choices: no ← yes | This parameter can be used only when removing a data center. If True data center will be forcibly removed, even though it contains some clusters. Default value is False, which means that only empty data center can be removed.
id - added in 2.8 |  | ID of the datacenter to manage.
local boolean | Choices: no yes | True if the data center should be local, False if should be shared. Default value is set by engine.
mac_pool - |  | MAC pool to be used by this datacenter. IMPORTANT: This option is deprecated in oVirt/RHV 4.1. You should use `mac_pool` in `ovirt_clusters` module, as MAC pools are set per cluster since 4.1.
name - / required |  | Name of the data center to manage.
nested_attributes list |  | Specifies list of the attributes which should be fetched from the API. This parameter apply only when `fetch_nested` is true.
poll_interval integer | Default: 3 | Number of the seconds the module waits until another poll request on entity status is sent.
quota_mode - | Choices: disabled audit enabled | Quota mode of the data center. One of disabled, audit or enabled
state - | Choices: present ← absent | Should the data center be present or absent.
timeout integer | Default: 180 | The amount of time in seconds the module should wait for the instance to get into desired state.
wait boolean | Choices: no yes ← | `yes` if the module should wait for the entity to get into desired state.

## Notes

Note

- In order to use this module you have to install oVirt Python SDK. To ensure it’s installed with correct version you can create the following task: pip: name=ovirt-engine-sdk-python version=4.3.0

## Examples

    # Examples don't contain auth parameter for simplicity,
    # look at ovirt_auth module to see how to reuse authentication:

    # Create datacenter
    - ovirt_datacenter:
        name: mydatacenter
        local: True
        compatibility_version: 4.0
        quota_mode: enabled

    # Remove datacenter
    - ovirt_datacenter:
        state: absent
        name: mydatacenter

    # Change Datacenter Name
    - ovirt_datacenter:
        id: 00000000-0000-0000-0000-000000000000
        name: "new_datacenter_name"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data_center dictionary | On success if datacenter is found. | Dictionary of all the datacenter attributes. Datacenter attributes can be found on your oVirt/RHV instance at following url: http://ovirt.github.io/ovirt-engine-api-model/master/#types/datacenter.
id string | On success if datacenter is found. | ID of the managed datacenter Sample: 7de90f31-222c-436c-a1ca-7e655bd5b60c

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Ondra Machacek (@machacekondra)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.